body {
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 100vh;
    background: #f8f8f8;
    font-family: "proxima-nova", "Source Sans Pro", sans-serif;
    font-size: 1em;
    letter-spacing: 0.1px;
    color: #32465a;
    text-rendering: optimizeLegibility;
    text-shadow: 1px 1px 1px rgba(0, 0, 0, 0.004);
    -webkit-font-smoothing: antialiased;
}

.chatbot {
    height: 100vh;
}

.frame-flash {
    position: absolute;
    top: 0;
    left: 0;
    width: calc(100% - 2em);
    margin: 1em;
    background: #C1292E; /* Fire engine red */
    color: #f5f5f5;
}

#frame {
    width: 100%;
    min-width: 480px;
    max-width: 1000px;
    height: 80vh;
    min-height: 300px;
    background: #E6EAEA;
}
@media screen and (max-width: 480px) {
    .chatbot {
        width: 100vw;
    }
    #frame {
        width: 100%;
        min-width: inherit;
        height: calc(100vh - 54px - 5px - 27px);
    }
}
#frame .content {
    float: right;
    width: 100%;
    height: 100%;
    overflow: hidden;
    position: relative;
}
#frame .content .messages {
    height: auto;
    min-height: calc(100% - 48px);
    max-height: calc(100% - 48px);
    overflow-y: scroll;
    overflow-x: hidden;
}
@media screen and (max-width: 735px) {
    #frame .content .messages {
        max-height: calc(100% - 105px);
    }
}
#frame .content .messages::-webkit-scrollbar {
    width: 8px;
    background: transparent;
}
#frame .content .messages::-webkit-scrollbar-thumb {
    background-color: rgba(0, 0, 0, 0.3);
}
#frame .content .messages ul {
    padding-inline-start: 0px;
}

#frame .content .messages ul li {
    display: inline-block;
    clear: both;
    float: left;
    margin: 15px 15px 5px 15px;
    width: calc(100% - 25px);
    font-size: 0.9em;
}
#frame .content .messages ul li:nth-last-child(1) {
    margin-bottom: 20px;
}
#frame .content .messages ul li.sent img {
    margin: 6px 8px 0 0;
}
#frame .content .messages ul li.sent p {
    background: #435f7a;
    color: #f5f5f5;
}
#frame .content .messages ul li.replies img {
    float: right;
    margin: 6px 0 0 8px;
}
#frame .content .messages ul li.replies p {
    background: #f5f5f5;
    float: right;
}
#frame .content .messages ul li img {
    width: 22px;
    border-radius: 50%;
    float: left;
}
#frame .content .messages ul li p {
    display: inline-block;
    padding: 10px 15px;
    border-radius: 20px;
    max-width: 205px;
    line-height: 130%;
}
@media screen and (min-width: 735px) {
    #frame .content .messages ul li p {
        max-width: 300px;
    }
}
#frame .content .message-input {
    position: absolute;
    bottom: 0;
    width: 100%;
    z-index: 99;
}
#frame .content .message-input .wrap {
    position: relative;
}
#frame .content .message-input .wrap input {
    font-family: "proxima-nova",  "Source Sans Pro", sans-serif;
    float: left;
    border: none;
    width: calc(100% - 50px);
    padding: 11px 32px 10px 8px;
    height: 48px;
    font-size: 0.8em;
    color: #32465a;
}
@media screen and (max-width: 735px) {
    #frame .content .message-input .wrap input {
        padding: 15px 32px 16px 8px;
    }
}
#frame .content .message-input .wrap input:focus {
    outline: none;
}
#frame .content .message-input .wrap .attachment {
    position: absolute;
    right: 60px;
    z-index: 4;
    margin-top: 10px;
    font-size: 1.1em;
    color: #435f7a;
    opacity: .5;
    cursor: pointer;
}
@media screen and (max-width: 735px) {
    #frame .content .message-input .wrap .attachment {
        margin-top: 17px;
        right: 65px;
    }
}
#frame .content .message-input .wrap .attachment:hover {
    opacity: 1;
}
#frame .content .message-input .wrap button {
    float: right;
    border: none;
    width: 50px;
    padding: 12px 0;
    cursor: pointer;
    background: #32465a;
    color: #f5f5f5;
}
@media screen and (max-width: 735px) {
    #frame .content .message-input .wrap button {
        padding: 16px 0;
    }
}
#frame .content .message-input .wrap button:hover {
    background: #435f7a;
}
#frame .content .message-input .wrap button:focus {
    outline: none;
}

.btn-reset {
    margin-top: 1em;
    border-radius: 0;
    cursor: pointer;
    background: #32465a;
    color: #f5f5f5;
}

.btn-reset:hover {
    background: #435f7a;
    color: #f5f5f5;
}
.btn-reset:focus {
    outline: none;
    color: #f5f5f5;
}